# Interface NodeViewersChangeListener

All Known Implementing Classes:
  `ZooInspectorPanel`

public interface NodeViewersChangeListener
A Listener for changes to the configuration of which node viewers are shown

## Method Summary

Modifier and Type
Method
Description
`void`
`nodeViewersChanged(List<ZooInspectorNodeViewer> newViewers)`
Called when the node viewers configuration is changed (i.e node viewers are added, removed or the order of the node viewers is changed)

## Method Details

### nodeViewersChanged

void nodeViewersChanged(List<ZooInspectorNodeViewer> newViewers)
Called when the node viewers configuration is changed (i.e node viewers are added, removed or the order of the node viewers is changed)

Parameters:
  `newViewers` - - a `List` of `ZooInspectorNodeViewer`s which are to be shown